Get Conversation
curl --request GET \
--url https://gateway.jelou.ai/platform/v1/external-support/{projectId}/conversations/{conversationId} \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.jelou.ai/platform/v1/external-support/{projectId}/conversations/{conversationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.jelou.ai/platform/v1/external-support/{projectId}/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}Conversación
Consultar conversación
Consulta el estado y detalles de una conversación específica
GET
/
v1
/
external-support
/
{projectId}
/
conversations
/
{conversationId}
Get Conversation
Este endpoint no emite ningún evento al webhook. Es una consulta de solo lectura para obtener el estado actual de una conversación.
Descripción
Consulta los detalles y el estado actual de una conversación específica. Devuelve información del usuario, el canal asociado, las fechas de inicio y cierre, y la razón de finalización si aplica.Endpoint
GET https://gateway.jelou.ai/platform/v1/external-support/{projectId}/conversations/{conversationId}
Parámetros de ruta
string
requerido
Identificador único del proyecto de Jelou al que pertenece la conversación.
string
requerido
Identificador único de la conversación que se desea consultar.
Autenticación
Todas las peticiones deben incluir el encabezadox-api-key con la API key del proyecto de Jelou.
x-api-key: API_KEY
Ejemplo de solicitud
El siguiente ejemplo consulta los detalles de la conversaciónCONVERSATION_ID dentro del proyecto PROJECT_ID:
cURL
curl --request GET \
--url https://gateway.jelou.ai/platform/v1/external-support/PROJECT_ID/conversations/CONVERSATION_ID \
--header 'x-api-key: API_KEY'
Respuestas
| Código | Estado | Descripción |
|---|---|---|
| 200 | OK | Conversación encontrada. Devuelve los detalles de la conversación. |
| 401 | Unauthorized | Credenciales de autenticación inválidas o faltantes. |
| 404 | Not Found | Conversación no encontrada para los identificadores indicados. |
| 500 | Internal Server Error | Error interno del servidor. |
Ejemplo de respuesta
{
"message": [
"Conversation retrieved successfully"
],
"statusMessage": "success",
"status": 1,
"data": {
"_id": "CONVERSATION_ID",
"roomId": "ROOM_ID",
"state": "closed",
"startAt": "2026-01-15T10:30:00.000Z",
"endAt": "2026-01-15T10:45:00.000Z",
"endedReason": "closed_by_operator",
"User": {
"id": "USER_ID",
"names": "USER_NAME",
"referenceId": "USER_REFERENCE_ID",
"createdAt": "2025-01-28T20:54:25.572Z"
},
"Bot": {
"id": "BOT_ID",
"name": "BOT_NAME",
"type": "Whatsapp"
}
}
}
Estructura de la respuesta
| Campo | Tipo | Descripción |
|---|---|---|
data._id | string | Identificador único de la conversación. |
data.roomId | string | Identificador de la sala de conversación. |
data.state | string | Estado de la conversación: active o closed. |
data.startAt | date | Fecha y hora de inicio de la conversación. |
data.endAt | date | Fecha y hora de cierre. Presente solo si la conversación está cerrada. |
data.endedReason | string | Razón del cierre: closed_by_operator. |
data.User.id | string | Identificador del usuario final. |
data.User.names | string | Nombre del usuario final. |
data.User.referenceId | string | Identificador de referencia externo del usuario. |
data.Bot.id | string | Identificador del canal que atendió la conversación. |
data.Bot.name | string | Nombre del canal. |
data.Bot.type | string | Tipo de canal (por ejemplo: Whatsapp). |
¿Esta página le ayudó?
⌘I